Retrieve published dashboard info
curl --request GET \
--url https://app.myhero.so/published/{projectId}/dashboard-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/published/{projectId}/dashboard-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/published/{projectId}/dashboard-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"publishers": [
{}
],
"publishedDocuments": [
{}
],
"projectBranding": {
"company": {
"name": "<string>",
"logo": "<string>",
"url": "<string>"
},
"callToAction": {
"icon": {
"name": "<string>",
"color": "<string>"
},
"text": "<string>",
"url": "<string>"
}
},
"publishedDomains": [
{
"slug": "<string>",
"domain": "<string>",
"homepage": "<string>",
"password": "<string>",
"disabled": true
}
]
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Published
Retrieve published dashboard info
Returns the list of published documents, their publishers’ profiles, project branding, and configured published domains for projectId.
Requires the caller to be the project owner or have workspace edit permission.
GET
/
published
/
{projectId}
/
dashboard-info
Retrieve published dashboard info
⌘I